Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins
Class VisiblePlugin

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.plugins.VisiblePlugin

Direct Known Subclasses:
  SbwVisiblePlugin, JScriptVisiblePlugin

public class VisiblePlugin
extends AbstractDataCollection

Superclass for all 'visible' plugins. It defines DataCollection that will be shown in plugins tab of repository pane. It is subclass responsibilty what will be the data collection content and what actions can be assotiated with it. See `ru.biosoft.workbench.visiblePlugins` extention point description for more details.

Constructor Summary
`VisiblePlugin(DataCollection parent, Properties properties)` Constructor to be used by CollectionFactory to create a Plugin.

Method Summary
`void` | `close()`
`String` | `getDescription()` Utility method that returns data collection description.
`Iterator` | `iterator()`
`void` | `shutdown()` Shuts down this plug-in and discards all plug-in state.
`void` | `startup()` Starts up this plug-in.

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDataElementType, getInfo, getNameList, getSize, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### VisiblePlugin

    public VisiblePlugin(DataCollection parent, Properties properties)

  Constructor to be used by CollectionFactory to create a Plugin.

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getDescription

    public String getDescription()

  Utility method that returns data collection description.

### iterator

    public Iterator iterator()

### shutdown

    public void shutdown()

  Shuts down this plug-in and discards all plug-in state.

  Clients must never explicitly call this method.

### startup

    public void startup()
                  throws java.lang.Exception

  Starts up this plug-in.

  Clients must never explicitly call this method.

Association Links

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM